<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

session_start();

$nRequiredAtBeginOfHeadARRAY = array();
$nRequiredAtEndOfHeadARRAY = array();
$nRequiredAtBeginOfBodyARRAY = array();
$nRequiredAtEndOfBodyARRAY = array();

$nRequiredAtBeginOfHeadARRAY[] = "<script type=\"text/javascript\" src=\"{$nFullSitePath}manage/js/prototype.js\"></script>";
$nRequiredAtBeginOfHeadARRAY[] = "<script type=\"text/javascript\" src=\"{$nFullSitePath}manage/js/scriptaculous.js\"></script>";

if($_SESSION["ValidUser"]) {
	$ValidUser = $_SESSION["ValidUser"];
	$nAdminAccess = $_SESSION["nAdminAccess"];
	if($nAdminAccess) {
		$nUserLink = nGetUserLinkFromName($ValidUser);
		// add required tags to beginning of body
		$nRequiredAtEndOfHeadARRAY[] = "<script type=\"text/javascript\" src=\"{$nFullSitePath}manage/js/modalbox.js\"></script>";
		$nRequiredAtEndOfHeadARRAY[] = "<link href=\"{$nFullSitePath}manage/css/modalbox.css\" rel=\"stylesheet\" type=\"text/css\" media=\"screen\" />";
		$nRequiredAtEndOfHeadARRAY[] = "<link href=\"{$nFullSitePath}manage/css/form.css\" rel=\"stylesheet\" type=\"text/css\" media=\"screen\" />";
		$nRequiredAtEndOfHeadARRAY[] = "<link href=\"{$nFullSitePath}inc/editbar.css\" rel=\"stylesheet\" type=\"text/css\" media=\"screen\" />";
		$nScriptClose = "</script>";
		$nRequiredAtBeginOfBodyARRAY[] = <<<CODE
			<div id="wpmEditBar">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td nowrap><a href="{$nFullSitePath}manage/$nUserLink"><img src="{$nFullSitePath}images/logged_in.png" alt="" width="20" height="20" border="0" class="iconS">Logged in: $ValidUser</a>  &nbsp; | &nbsp; <a href="{$nFullSitePath}manage/process_logout.php">logout</a></td>
					<td width="100%">&nbsp;</td>
					<td nowrap><a href="{$nFullSitePath}manage/dialog/component_add.php?id=$nPageID" title="Add New Component" onClick="Modalbox.show(this.href,{title: this.title, width: 500, overlayClose:false}); return false;"><img src="{$nFullSitePath}images/add.png" alt="" width="20" height="20" border="0" class="iconS">Add Component</a></td>
					<td nowrap><a href="{$nFullSitePath}manage/page_edit.php?id=$nPageID"><img src="{$nFullSitePath}images/edit.png" alt="" width="20" height="20" border="0" class="iconS">View page in Editor</a></td>
					<td nowrap><a href="{$nFullSitePath}manage/dialog/page_add.php?id=$nPageID" title="Edit Page Settings" onClick="Modalbox.show(this.href,{title: this.title, width: 500, overlayClose:false}); return false;"><img src="{$nFullSitePath}images/settings.png" alt="" width="20" height="20" border="0" class="iconS">Page Settings</a></td>
				  </tr>
				</table>
				<script>
					setTimeout("$('wpmEditBar').hide();", 1000*60*30); // hide editbar after 30 minutes of inactivity
					refreshParentsPageAdd = function(){ setTimeout("location.reload(true);", 200); }
					refreshParentsCompAdd = function(){  }
					refreshParentsCompEdit = function(){ setTimeout("location.reload(true);", 200); }
				$nScriptClose
			</div>
CODE;
	}
}

function nGetUserLinkFromName($nUserName){
	global $DBName,$Link;
	if(!$nUserName){ return; }
	$Query = "SELECT nID FROM nEditor WHERE nUser='$nUserName' LIMIT 1";
	$Result = mysql_db_query ($DBName,$Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nUserID = $Row[nID];
	}
	if($nUserID){ $nUserLink = "user_edit.php?id=$nUserID"; } else { $nUserLink = ""; }
	return $nUserLink;
}
?>
