<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("manage/inc/stop_cache.php");
require("inc/install.php");

// connect to mysql
require("inc/dbconnect.php");
$nPageID = nGetHomepageID();
require("inc/config.php");
require("inc/secure_page.php");

require("inc/tracker.php");
require("inc/langutil.php");
require("inc/tmplutil.php");

$nThisPage = "index.php";

//////////// Template
echo tmplShow("tmplHome");

function nGetHomepageID(){
	global $DBName,$Link;
	$Query = "SELECT nID FROM nPage WHERE nType='Homepage' LIMIT 1";
	$Result = mysql_db_query ($DBName,$Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nPageID = $Row[nID];
	}
	return $nPageID;
}

require("inc/db_close.php");
?>